postcss-unnth

    1.0.2 • Public • Published

    UnNth Build Status

    UnNth replaces :nth-child selectors with :first-child selectors. This can be useful when outputting CSS for older browsers like Internet Explorer 8.

    /* before */
     
    .container > p:nth-child(4).specific > span {
       font-weight: bold;
    }
     
    /* after */
     
    .container > :first-child + * + * + p.specific > span {
        font-weight: bold;
    }

    Usage

    Add UnNth to your build tool:

    npm install postcss-unnth --save-dev

    Node

    require('postcss-unnth')({ /* options */ }).process(YOUR_CSS);

    PostCSS

    Add PostCSS to your build tool:

    npm install postcss --save-dev

    Load UnNth as a PostCSS plugin:

    postcss([
        require('postcss-unnth')({ /* options */ })
    ]);

    Gulp

    Add Gulp PostCSS to your build tool:

    npm install gulp-postcss --save-dev

    Enable UnNth within your Gulpfile:

    var postcss = require('gulp-postcss');
     
    gulp.task('css', function () {
        return gulp.src('./css/src/*.css').pipe(
            postcss([
                require('postcss-unnth')({ /* options */ })
            ])
        ).pipe(
            gulp.dest('./css')
        );
    });

    Grunt

    Add Grunt PostCSS to your build tool:

    npm install grunt-postcss --save-dev

    Enable UnNth within your Gruntfile:

    grunt.loadNpmTasks('grunt-postcss');
     
    grunt.initConfig({
        postcss: {
            options: {
                processors: [
                    require('postcss-unnth')({ /* options */ })
                ]
            },
            dist: {
                src: 'css/*.css'
            }
        }
    });

    Install

    npm i postcss-unnth

    DownloadsWeekly Downloads

    819

    Version

    1.0.2

    License

    CC0-1.0

    Last publish

    Collaborators

    • avatar